Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 611134 (gnome-3.22-stable) - Gnome 3.22 stabilization
Summary: Gnome 3.22 stabilization
Status: RESOLVED FIXED
Alias: gnome-3.22-stable
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 594778 599218 604110 604720 611146 612234 CVE-2017-6590 613796 613806 614602
Blocks: gnome-3.22 615406 618420
  Show dependency tree
 
Reported: 2017-02-27 20:30 UTC by Mart Raudsepp
Modified: 2017-07-07 10:12 UTC (History)
3 users (show)

See Also:
Package list:
x11-themes/adwaita-icon-theme-3.22.0-r2 ia64 sparc app-accessibility/at-spi2-atk-2.22.0 ia64 sparc app-accessibility/at-spi2-core-2.22.1 ia64 sparc dev-libs/atk-2.22.0 ia64 sparc dev-libs/appstream-glib-0.6.8 sparc dev-libs/glib-2.50.3-r1 ia64 sparc dev-util/gdbus-codegen-2.50.3 ia64 sparc dev-util/gtk-update-icon-cache-3.22.2 ia64 sparc x11-libs/gtk+-3.22.15 ia64 sparc dev-libs/libgdata-0.17.8 sparc x11-libs/gdk-pixbuf-2.36.6 ia64 sparc x11-libs/gtksourceview-3.22.2 ia64 sparc net-libs/glib-networking-2.50.0 ia64 sparc dev-libs/libsigc++-2.10.0 ia64 sparc dev-cpp/glibmm-2.50.1 ia64 sparc gnome-base/gsettings-desktop-schemas-3.22.0 ia64 sparc dev-libs/gobject-introspection-common-1.50.0 ia64 sparc dev-libs/gobject-introspection-1.50.0 ia64 sparc x11-libs/vte-0.46.1 ia64 sparc x11-themes/gnome-themes-standard-3.22.3 ia64 sparc x11-themes/gtk-engines-adwaita-3.22.3 ia64 sparc dev-cpp/gtkmm-3.22.0 ia64 sparc gnome-base/gvfs-1.30.4 ia64 sparc dev-libs/json-glib-1.2.8 ia64 sparc app-text/libgxps-0.2.5 ia64 sparc x11-libs/libnotify-0.7.7 ia64 sparc net-libs/libsoup-2.56.0 ia64 sparc x11-libs/pango-1.40.5 ia64 sparc dev-python/pygobject-3.22.0 ia64 sparc dev-libs/vala-common-0.34.8 ia64 sparc dev-lang/vala-0.34.8 ia64 sparc
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mart Raudsepp gentoo-dev 2017-02-27 20:30:14 UTC
Initially for tracking purposes; stabilization will be requested on this bug eventually.
Comment 1 Mart Raudsepp gentoo-dev 2017-03-23 05:19:49 UTC
vino/rygel autostart issue and user session stuff will not be considered blocking stabilization afterall; though research into it is ongoing and hopefully the needed fixes/changes can be done and stabilized soon enough.
Comment 2 Mart Raudsepp gentoo-dev 2017-03-25 18:22:31 UTC
Removing gnome-autoar keyword from deps for clarity because the re-keywording going on there is for arches that aren't stable targets for the relevant packages here
Comment 3 Mart Raudsepp gentoo-dev 2017-03-27 06:55:57 UTC
Arches, please stabilize the GNOME 3.22 package set as found in package list.
@amd64, @x86: gnome-extra/gnome-extensions-topicons-plus in there is a replacement for gnome-extra/gnome-extensions-topicons that continues working with 3.22 (unlike topicons) after upstream fork. You had stable keywords on the old one. Once that's done, I will last rite the original package.
Comment 4 Stabilization helper bot gentoo-dev 2017-03-27 07:00:41 UTC
An automated check of this bug failed - the following atoms are unknown:

dev-util/gnome-devel-docs-3.22.2
dev-util/anjuta
dev-lang/vala-common-0.34.7
dev-util/gtk-update-icon-cache

Please verify the atom list.
Comment 5 Mart Raudsepp gentoo-dev 2017-03-28 13:36:28 UTC
Updating to dev-libs/glib-2.50.3-r1 for fixing $libdir/gio/modules/giomodule.cache ownership
Comment 6 Michael Weber (RETIRED) gentoo-dev 2017-03-28 14:52:30 UTC
arm stable.
Comment 7 Michael Weber (RETIRED) gentoo-dev 2017-03-28 15:01:36 UTC
ppc64 stable.
Comment 8 Michael Weber (RETIRED) gentoo-dev 2017-03-29 06:20:47 UTC
ppc stable.
Comment 9 Agostino Sarubbo gentoo-dev 2017-04-01 13:16:54 UTC
amd64 stable
Comment 10 Agostino Sarubbo gentoo-dev 2017-04-01 16:32:12 UTC
x86 stable
Comment 11 Mart Raudsepp gentoo-dev 2017-04-02 13:10:54 UTC
Redeced package list to what's left to do
Comment 12 Émeric Maschino 2017-04-05 22:35:05 UTC
Tested on ia64.

Everything's OK but tests for:
- =dev-libs/glib-2.50.3-r1: bug #614816
- =dev-libs/libpcre2-10.22: bug #603946
- =app-accessibility/at-spi2-atk-2.22.0: bug #614820

     Émeric
Comment 13 Mart Raudsepp gentoo-dev 2017-04-10 23:03:41 UTC
reverting unauthorized non-maintainer package list changing
Comment 14 Jeroen Roovers (RETIRED) gentoo-dev 2017-04-12 10:08:55 UTC
Stable for HPPA.
Comment 15 Mart Raudsepp gentoo-dev 2017-04-12 22:11:15 UTC
Reduced package list to what's left to do
Comment 16 Mart Raudsepp gentoo-dev 2017-04-22 13:29:47 UTC
Updating list to upgrade some versions to those already requested stable in bug 615406, in order to avoid stabilizing previous version, only to stabilize a bug fix release afterwards there.
Comment 17 Stabilization helper bot gentoo-dev 2017-04-22 14:00:34 UTC
An automated check of this bug failed - the following atom is unknown:

x11-themes/adwaita-icon-theme-3.22.0

Please verify the atom list.
Comment 18 Stabilization helper bot gentoo-dev 2017-04-22 15:04:16 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 19 Tobias Klausmann gentoo-dev 2017-04-22 17:54:43 UTC
Stable on alpha.
Comment 20 Mart Raudsepp gentoo-dev 2017-05-14 10:13:07 UTC
Updating gtk+, vala-common and vala versions to those newer already requested in bug 618420
Comment 21 Stabilization helper bot gentoo-dev 2017-05-14 11:01:09 UTC
An automated check of this bug failed - the following atom is unknown:

x11-themes/adwaita-icon-theme-3.22.0

Please verify the atom list.
Comment 22 Mart Raudsepp gentoo-dev 2017-05-23 16:38:14 UTC
updating for adwaita-icon-theme revbump
Comment 23 Émeric Maschino 2017-05-23 22:02:50 UTC
Everything's mostly fine on ia64 with the updated package list (including tests) except for the 3 issues reported earlier in comment #12.

     Émeric
Comment 24 Mart Raudsepp gentoo-dev 2017-06-12 10:11:34 UTC
Stabilized on ia64, given that:

* Tested by Émeric and Agostino agreeing that this can be sufficient for now
* bug 614816 is a gdb output difference with or without debug symbols that probably fails in earlier stable as well and isn't a real problem
* bug 603946 turned out to be a locale specific issue for all arches, and other arches have stabilized regardless of it already
* bug 614820 has been solved, only remaining open for some personal followup checks at lower priority
Comment 25 Agostino Sarubbo gentoo-dev 2017-07-07 10:12:40 UTC
sparc stable. Closing.